> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# trigger price signal webhook for organization homes



## OpenAPI

````yaml /api-reference/openapi.json post /v1/webhook/price_signal/trigger
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/webhook/price_signal/trigger:
    post:
      tags:
        - webhook
      summary: trigger price signal webhook for organization homes
      operationId: WebhookController_triggerPriceSignalWebhook_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerPriceSignalWebhookDto'
            example:
              startTime: '2025-02-25T16:13:37.902Z'
              endTime: '2025-02-26T16:13:37.902Z'
      responses:
        '200':
          description: ''
      security:
        - x-ws-api-key: []
        - x-ws-api-key: []
components:
  schemas:
    TriggerPriceSignalWebhookDto:
      type: object
      properties:
        organizationId:
          description: >-
            Organization to trigger webhooks for. Defaults to the API key
            organization.
          type: string
        startTime:
          type: string
          nullable: true
        endTime:
          type: string
          nullable: true
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````